Public Member Functions | Public Attributes | List of all members
libpagemaker::PMDFillProperties Struct Reference

`#include <PMDTypes.h>`

## Public Member Functions
| PMDFillProperties ()

## Public Attributes
uint8_t | m_fillType
uint8_t | m_fillColor
uint8_t | m_fillOverprint
uint8_t | m_fillTint

## Constructor & Destructor Documentation

## ◆ PMDFillProperties()

libpagemaker::PMDFillProperties::PMDFillProperties | ( |  | ) |

## Member Data Documentation

## ◆ m_fillColor

uint8_t libpagemaker::PMDFillProperties::m_fillColor

Referenced by libpagemaker::PMDCollector::paintShape(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parsePolygon(), and libpagemaker::PMDParser::parseRectangle().

## ◆ m_fillOverprint

uint8_t libpagemaker::PMDFillProperties::m_fillOverprint

Referenced by libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parsePolygon(), and libpagemaker::PMDParser::parseRectangle().

## ◆ m_fillTint

uint8_t libpagemaker::PMDFillProperties::m_fillTint

Referenced by libpagemaker::PMDCollector::paintShape(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parsePolygon(), and libpagemaker::PMDParser::parseRectangle().

## ◆ m_fillType

uint8_t libpagemaker::PMDFillProperties::m_fillType

Referenced by libpagemaker::PMDLine::getFillProperties(), libpagemaker::PMDCollector::paintShape(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parsePolygon(), and libpagemaker::PMDParser::parseRectangle().

The documentation for this struct was generated from the following files:

- PMDTypes.h
- PMDTypes.cpp